Rev 4722: (mbp) Refuse to build with pyrex 0.9.4* in file:///home/pqm/archives/thelove/bzr/2.0/

Canonical.com Patch Queue Manager pqm at pqm.ubuntu.com
Tue Jan 12 05:55:04 GMT 2010


At file:///home/pqm/archives/thelove/bzr/2.0/

------------------------------------------------------------
revno: 4722 [merge]
revision-id: pqm at pqm.ubuntu.com-20100112055501-jy3j8j3icvz9mswg
parent: pqm at pqm.ubuntu.com-20100108010840-tywncpw4p715pwu4
parent: mbp at sourcefrog.net-20100112014413-uw90vrssc3trlzmt
committer: Canonical.com Patch Queue Manager <pqm at pqm.ubuntu.com>
branch nick: 2.0
timestamp: Tue 2010-01-12 05:55:01 +0000
message:
  (mbp) Refuse to build with pyrex 0.9.4*
modified:
  NEWS                           NEWS-20050323055033-4e00b5db738777ff
  setup.py                       setup.py-20050314065409-02f8a0a6e3f9bc70
=== modified file 'NEWS'
--- a/NEWS	2010-01-08 01:08:40 +0000
+++ b/NEWS	2010-01-12 01:44:13 +0000
@@ -47,6 +47,9 @@
   users, rather than something nicer.
   (John Arbash Meinel, Barry Warsaw, #503886)
 
+* Refuse to build with any Pyrex 0.9.4 release, as they have known bugs.
+  (Martin Pool, John Arbash Meinel, #449372)
+
 * The 2a format wasn't properly restarting autopacks when something
   changed underneath it (like another autopack). Now concurrent
   autopackers will properly succeed. (John Arbash Meinel, #495000)

=== modified file 'setup.py'
--- a/setup.py	2009-10-30 14:07:31 +0000
+++ b/setup.py	2010-01-12 01:44:13 +0000
@@ -278,11 +278,13 @@
     add_pyrex_extension('bzrlib._walkdirs_win32')
     z_lib = 'zdll'
 else:
-    if have_pyrex and pyrex_version == '0.9.4.1':
+    if have_pyrex and pyrex_version.startswith('0.9.4'):
         # Pyrex 0.9.4.1 fails to compile this extension correctly
         # The code it generates re-uses a "local" pointer and
         # calls "PY_DECREF" after having set it to NULL. (It mixes PY_XDECREF
         # which is NULL safe with PY_DECREF which is not.)
+        # <https://bugs.edge.launchpad.net/bzr/+bug/449372>
+        # <https://bugs.edge.launchpad.net/bzr/+bug/276868>
         print 'Cannot build extension "bzrlib._dirstate_helpers_pyx" using'
         print 'your version of pyrex "%s". Please upgrade your pyrex' % (
             pyrex_version,)




More information about the bazaar-commits mailing list